{% extends 'base.html' %}

{% set templateName = 'main-app' %}

{% block body %}
{% include 'vue/util.html' %}
{% include 'vue/expenses.html' %}
{% include 'vue/reports-content.html' %}
{% include 'vue/reports.html' %}
{% raw %}
<div id="app">
  <navbar placement="top" type="inverse">
    <a slot="brand" href="#" class="navbar-brand">
      Koszty
    </a>
    <ul class="nav navbar-nav navbar-left" @click="onClickNav">
      <li><a href="#" data-view="expenses-view">Wykaz kosztów</a></li>
      <li class="dropdown">
        <a href="#" class="dropdown-toggle" data-toggle="dropdown">Raporty <span class="caret"></span></a>
        <ul class="dropdown-menu">
          <li><a href="#" data-view="expenses-by-item-report-view">Koszty wg artykułu</a></li>
          <li><a href="#" data-view="expenses-by-location-report-view">Koszty wg filii</a></li>
          <li><a href="#" data-view="consumption-by-item-report-view">Zużycia wg artykułu</a></li>
        </ul>
      </li>
    </ul>
    <dropdown slot="right">
      <span slot="button">
        <span class="glyphicon glyphicon-user" aria-hidden="true"></span>
        {{ user.fullName }}
      </span>
      <ul slot="dropdown-menu" class="dropdown-menu">
        <li>
          <a href="#" @click.prevent="logOut">
            <span class="glyphicon glyphicon-log-out" aria-hidden="true"></span>
            Wyloguj
          </a>
        </li>
      </ul>
    </dropdown>
  </navbar>
  <div class="container-fluid">
    <div id="content">
      <keep-alive>
        <component :is="currentView" :globals="globals"></component>
      </keep-alive>
    </div>
  </div>
  <global-messages />
</div>
{% endraw %}
{% endblock %}

{% block footerScripts %}
{{ super() }}
<script>
var Globals = {
  baseUrl: {{ baseUrl | dump }},
  user: {{ user | dump }},
  years: {{ years | dump }},
  locations: {{ locations | dump }},
  items: {{ items | dump }},
  months: [
    'Styczeń',
    'Luty',
    'Marzec',
    'Kwiecień',
    'Maj',
    'Czerwiec',
    'Lipiec',
    'Sierpień',
    'Wrzesień',
    'Paździenik',
    'Listopad',
    'Grudzień'
  ],
};
</script>
<script src="{{ baseUrl }}/public/js/app.js?v={{ version }}"></script>
{% endblock %}
